$ErrorActionPreference = 'Stop';

$packageName= 'invantive-query-tool'

$packageArgs = @{
  packageName = $packageName
  fileType = 'MSI'
  url = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-22.0.81.msi'
  url64bit = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-22.0.81.msi'
  softwareName = 'Invantive Query Tool'
  checksum = 'B07CFAF4B3368D3583CDAA79053DE1A4D11130DF9EF816C5A365C111C4416E38'
  checksumType = 'sha256'
  checksum64 = 'B07CFAF4B3368D3583CDAA79053DE1A4D11130DF9EF816C5A365C111C4416E38'
  checksumType64 = 'sha256'
  silentArgs = "/qn /norestart /l*v `"$env:Temp\invantive-query-tool-22.0.81-msi-install.log`""
  validExitCodes = @(0, 3010, 1641)
}

Install-ChocolateyPackage @packageArgs
